### berkdb dbremove |

`

###

    berkdb dbremove
            [-encrypt]
    	[-encryptaes passwd]
    	[-encryptany passwd]
    	[-env env]
    	[--]
    	file
    	[database]

### Description(berkdb dbremove)

Remove the Berkeley DB database specified by the database name file and [database] name arguments. If no database is specified, the physical file represented by file is removed, incidentally removing all databases that it contained.

No reference count of database use is maintained by Berkeley DB. Applications should not remove databases that are currently in use.

The options are as follows:

-encrypt
  Specify the database in an environment is encrypted with the same password that is being used in the environment.
-encryptaes passwd
  Specify the database is encrypted with the given password using the Rijndael/AES (also known as the Advanced Encryption Standard and Federal Information Processing Standard (FIPS) 197) algorithm.
-encryptany passwd
  Specify the already existing database is encrypted with the given password. This option is used if the database is known to be encrypted, but the specific algorithm used is not known.
-env env
  If a -env argument is given, the database in the specified Berkeley DB environment is removed.
--
  Mark the end of the command arguments.

The berkdb dbremove command returns 0 on success, and in the case of error, a Tcl error is thrown.

`

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.